/*----------------------------------------------------------------------*/

* {
    box-sizing: border-box;
    margin:0;
    padding:0;
}

html {
    font-size: 16px;	    
}

/*----------------------------------------------------------------------*/

 body {
    font-family: helvetica, sans-serif;
    background: #FFF;
    color:#222;
    font-size: 1rem;	    
    line-height: 1.5em;
}

@media all and (min-width: 1000px) {
	body {
		
	}
}

.corset {
    width: calc( 100% - 60px );
    max-width: 1200px;
    margin: 0 auto;
}

em {
    font-style: normal;
    font-weight: 700;
}

svg, img, video {
    width: 100%;
    height: auto;
    display: block;
}

a {
    color:black;
    text-decoration: none;
    font-weight: 900;
}

/*----------------------------------------------------------------------*/

#app {
    _animation: a1224 400ms cubic-bezier(0, 0.55, 0.45, 1);
}

.btn, .table, td {
    _animation: a9873 400ms cubic-bezier(0, 0.55, 0.45, 1);
}

@keyframes a1224 { from { transform: translateY(-8px); } }
@keyframes a9873 { from { transform: scale(.7); } }

/*----------------------------------------------------------------------*/

#header {
    position: relative;
    margin-bottom: 30px;
    _border-bottom: 1px solid black;
    height: 50px;
    line-height: 40px;
    box-shadow: 0 0 10px rgba(0,0,0,0.25);
}

.card {
    padding: 2rem;
    margin-bottom: 30px;
    box-shadow: 0 5px 20px rgba(0,0,0,0.15);
}

/*----------------------------------------------------------------------*/

.headerlogoicon {
    display: inline-block;
    height: 40px;
    position: absolute;
    top: 7px;
    left: 14px;
    cursor: pointer;
    transition: all 400ms cubic-bezier(0, 0.55, 0.45, 1);
}
.headerlogoicon:hover { opacity: .7; }
.headerlogoicon:active { opacity: .4; }

.headerlogoicon svg {
    width: 24px;    
}

.headerlogo {
    display: inline-block;
    line-height: 40px;
    white-space: nowrap;
    position: absolute;
    top:6px;
    left:50%;
    transform: translateX(-50%);
    text-align: center;
    font-weight: 900;
    transition: all 400ms cubic-bezier(0, 0.55, 0.45, 1);
    cursor: pointer;
}
.headerlogo:hover { opacity: .7; }
.headerlogo:active { opacity: .4; }

.headermenu {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    line-height: 50px;
    white-space: nowrap;
}

.headermenu a, .headermenu .nolink {
    margin-left: .5em;
    transition: all 400ms cubic-bezier(0, 0.55, 0.45, 1);
    font-weight: 800;
}

.headermenu .nolink {
    opacity: .3;
    cursor: default;
}

.headermenu a:hover {
    opacity:.6;
}

.headermenu a:active {
    opacity:.3;
}

.user-zone {
    position: absolute;
    top: 0;
    right: 14px;
    line-height: 50px;
    white-space: nowrap;
}

.user-zone a {
    margin-left: .5em;
}

/*----------------------------------------------------------------------*/

#snap-image-btn {
    padding-top: 35px;
    margin: 0 auto;
    height: 100px;
    border: 2px dashed rgba(0,0,0,0.2);
    box-shadow: inset 0 0 30px rgba(0,0,0,0.1);
    text-align: center;
    margin-bottom: 2em;
    cursor: pointer;
    _color: rgba(0,0,0,0.7);
}

/*----------------------------------------------------------------------*/

#receipt-preview {
    margin-bottom: 2em;
}

#preview-canvas {
    display: block;
    height: 100px;
    width: auto;
    margin: 0 auto;
    margin-bottom: 2em;
    cursor: pointer;
}

#preview-canvas.big {
    width: 100%;
    height: auto;
}

/*----------------------------------------------------------------------*/

label {
    font-size: .75em;
    opacity: .4;
    text-transform: uppercase;
    letter-spacing: 0.02em;
    margin-bottom: .3em;
    display: inline-block;
}

#datepicker {
    
}


#note-input {
    margin-bottom: 2em;    
}

/*----------------------------------------------------------------------*/

.baseinput {
    width: 100%;
    display: block;
    font-size: 1rem;
    padding: 0 .7rem;    
    background-color: #EEE;
    border: none;
    border-radius: 6px;
    font-family: helvetica, sans-serif;    
}

.nolabel {
    height: 1.9rem;
}

/*----------------------------------------------------------------------*/

.tag-btns {    
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;    
}

.tag-btns div {
    display: inline-block;
    margin-right: .3rem;
    margin-bottom: .7rem;
    font-size: 1.0rem;
    background-color: rgba(0,0,0,0.1);
    padding: .2rem 0.7rem;
    cursor: pointer;    
    border-radius: 6px;
}

.tag-btns div:hover { opacity:.7; }
.tag-btns div:active { opacity:.4; }
.tag-btns div.active { background-color:#333;color:white; }

/*----------------------------------------------------------------------*/

.btn {
    background-color:#222;
    color: white;
    font-size: 1rem;
    padding: 0rem .7rem;
    border-radius: 6px;
    cursor: pointer;
    _text-transform: uppercase;
    text-align: center;
    white-space: nowrap;
    display: inline-block;
    font-weight: 900;
    transition: all 400ms cubic-bezier(0, 0.55, 0.45, 1);
}

.btn.full {
    display: block;
    text-align: center;
    width: 100%;
}

.btn:hover { opacity:.7; }
.btn:active { opacity:.4; }

.btn-white {
    background-color: white;
    color:black;
}

.btn-shadow {
    box-shadow: 0 5px 20px rgba(0,0,0,0.15);
}

/*----------------------------------------------------------------------*/

.table1 {
    width: 100%;
    border-collapse: collapse;
}

.table1 th, .table1 td {
    padding: .8em 1.4em;
}

.table1 th {
}

.table1 td {
    border:1px solid #aaa;    
}

.table1 em {
    font-weight: 800;
    font-style: normal;
}

/*----------------------------------------------------------------------*/

.timelogs-table.can-edit td {
    padding: 0 0;
}

.timelogs-table .edit input, .timelogs-table .edit textarea {
    height: 40px;
    line-height: 40px;
    border:none;
    background-color: #EEE;
    padding: 0 .8em;
    font-size: 1rem;
    font-family: helvetica, sans-serif;
    width: 100%;
}

.timelogs-table .edit textarea {
    font-size: .7rem;
}

/*----------------------------------------------------------------------*/

.field {
    text-align: left;
    position: relative;
    
}
.field label {
    opacity: .5;
    display: block;
    white-space: nowrap;
    font-size: .8em;
    margin-bottom: .5em;
    pointer-events: none;
}

.field input {
    border:none;
    background: rgba(255,255,255,.1);
    color: white;
    display:block;
    width: 100%;
    padding: .78em 1.5em;
    font-family: courier;
    font-size: inherit;		    
    white-space: nowrap;
}

.field input:focus {
	outline: none;
}

.field.labels-off label { display:none; }

.field.labels-r label { 
	position: absolute;
	top: .39em;
	right: 0.75em;
	color:#CCC;
	font-size: 1em;
}

/*----------------------------------------------------------------------*/

.btn, .field input, .baseinput {
	height: 46px;
    line-height: 46px;
}

/*----------------------------------------------------------------------*/

.cols-82732 {
    display:grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem 1rem;
}

/*----------------------------------------------------------------------*/

.cols {    
    display:grid;
    gap: 1em 1em;
}

.cols.cols-11 { grid-template-columns: 1fr 1fr; }
.cols.cols-111 { grid-template-columns: 1fr 1fr 1fr; }
.cols.cols-1111 { grid-template-columns: 1fr 1fr 1fr 1fr; }

@media screen and (max-width: 992px) {
  .cols.cols-11 { grid-template-columns: 1fr; }
  .cols.cols-111 { grid-template-columns: 1fr; }
  .cols.cols-1111 { grid-template-columns: 1fr 1fr; }
  .cols.cols-mobile-11 { grid-template-columns: 1fr 1fr; }
}
}

/*----------------------------------------------------------------------*/

.toggler {
    display:grid;    
}
.toggler.toggles-2 { grid-template-columns: 1fr 1fr !important; }

.toggler .toggle {
    background: rgba(255,255,255,.1);
    cursor: pointer;
    padding: .5em .5em;
    text-align: center;
}

.toggler .toggle.active {
    background: rgba(255,255,255,.7);
    color: rgba(0,0,0,.7);
}

/*----------------------------------------------------------------------*/

.receipts-list {
    display:grid;
    gap: 1rem;
    grid-template-columns: 1fr 1fr 1fr;    
    align-items: start;
    margin-bottom: 2rem;
}

@media (max-width: 1000px) { .receipts-list { grid-template-columns: 1fr 1fr; }}
@media (max-width: 800px) { .receipts-list { grid-template-columns: 1fr; }}

.receipts-list .receipt {
    position: relative;
    overflow: hidden;
    background: rgba(0,0,0,0.1);
}

.receipts-list .receipt .tag {
    position: absolute;
    top:0;
    left:0;
    background: #333;
    color: white;
    width: 300px;
    padding: .25em 0;
    font-size: .8rem;
    transform: rotate(-30deg) translate(-90px,-30px);
    -webkit-transform: rotate(-30deg) translate(-90px,-30px);
    letter-spacing: 0.02em;
    text-align: center;
    text-transform: uppercase;
    box-shadow: 0 0 20px rgba(0,0,0,0.3);
    -webkit-box-shadow: 0 0 20px rgba(0,0,0,0.3);
    z-index: 22;
}

.receipts-list .receipt.is-handled img {
    opacity:.7;    
    filter: brightness(.5);
}

.receipts-list .receipt .tag.is-kimshaveservice { background-color: green; color:black; }
.receipts-list .receipt .tag.is-sommerhus { background-color: orange; color:black; }
.receipts-list .receipt .tag.is-privat { background-color: blue; color:black; }
.receipts-list .receipt .tag.is-andet { background-color: purple; color:black; }

.receipts-list .receipt .filename {
    position: absolute;
    bottom:0;
    left:0;
    background: rgba(0,0,0,0.6);
    color: white;
    padding: 1.0em 1.0em;
    line-height: 1.1;
    font-weight: normal;
    font-size: .8rem;
    z-index: 22;
}

.receipts-list .receipt .handled-btn {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    -webkit-transform: translate(-50%,-50%);
    border-radius: 100%;
    width: 50px;
    height: 50px;
    line-height: 54px;
    font-weight: 800;
    text-align: center;
    background-color: rgba(0,0,0,0.5);
    color:transparent;
    cursor: pointer;    
    transition: all 300ms ease-out;
    box-shadow: 0 10px 20px rgba(0,0,0,0.4);
    -webkit-box-shadow: 0 10px 20px rgba(0,0,0,0.4);
}

.receipts-list .receipt .handled-btn:hover { opacity:.7; }
.receipts-list .receipt .handled-btn:active { opacity:.4; }
.receipts-list .receipt .handled-btn.is-handled { background-color:#484; color:white; }

/*----------------------------------------------------------------------*/

#blocking-spinner {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(255,255,255,0.3);
}

#blocking-spinner .spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -20px;
    margin-top: -20px;
    height: 40px;
    width: 40px;
    border-radius: 100%;
    border: 2px solid black;
    border-right-color: transparent;
    animation: a2132 1s infinite linear;
    -webkit-animation: a2132 1s infinite linear;
}

@keyframes a2132 { to { transform: rotate(360deg); } }
@-webkit-keyframes a2132 { to { -webkit-transform: rotate(360deg); } }

/*----------------------------------------------------------------------*/

.hide { display:none !important; }

.align-l { text-align: left; }
.align-r { text-align: right; }
.align-c { text-align: center; }

/*----------------------------------------------------------------------*/